#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

Name:           kaidan
Version:        0.9.1
Release:        %mkrel 2
Summary:        A user-friendly XMPP client for every device
License:        GPLv3+ with OpenSSL exception and MIT and CC-BY-SA-3.0
Group:          Graphical desktop/KDE
URL:            https://www.kaidan.im/
Source0:        https://download.kde.org/unstable/kaidan/%{name}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5Kirigami2)
BuildRequires:  cmake(KF5KirigamiAddons)
BuildRequires:  cmake(KF5QQC2DesktopStyle)
BuildRequires:  cmake(KQuickImageEditor)

BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Location)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Positioning)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5QuickControls2)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)

BuildRequires:  pkgconfig(QXmppQt5) >= 1.5.0
BuildRequires:  pkgconfig(zxing)
BuildRequires:  ncompress

Requires:       kirigami
Requires:       kirigami-addons
Requires:       kquickimageeditor

%description
Kaidan is a simple, user-friendly Jabber/XMPP client providing a modern user
interface using Kirigami and QtQuick. The back-end of Kaidan is
written in C++ using the QXmpp XMPP client library and Qt5.

%files -f %{name}.lang
%doc NEWS README.md
%license LICENSE
%{_kf5_bindir}/%{name}
%{_kf5_datadir}/%{name}/
%{_kf5_applicationsdir}/im.kaidan.kaidan.desktop
%{_kf5_metainfodir}/im.kaidan.kaidan.appdata.xml
%{_kf5_knotificationsdir}/%{name}.notifyrc
%{_kf5_iconsdir}/hicolor/*/apps/%{name}.png
%{_kf5_iconsdir}/hicolor/*/apps/%{name}.svg

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf5

%cmake_build

%install
%cmake_install

%find_lang %{name} --with-qt


%changelog
* Fri Sep 01 2023 daviddavid <daviddavid> 0.9.1-2.mga10
+ Revision: 1983065
- rebuild for new zxing-cpp 2.1.0

* Sun Jun 11 2023 daviddavid <daviddavid> 0.9.1-1.mga9
+ Revision: 1961622
- new version: 0.9.1
- rebuild for new qxmpp

* Mon Dec 26 2022 wally <wally> 0.8.0-1.mga9
+ Revision: 1926962
- new version 0.8.0
- rebuild for zxing-cpp with bumped lib major

* Wed Apr 06 2022 umeabot <umeabot> 0.6.0-3.mga9
+ Revision: 1846202
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 0.6.0-2.mga8
+ Revision: 1658621
- Rebuild for new Qt5

* Sun Aug 30 2020 daviddavid <daviddavid> 0.6.0-1.mga8
+ Revision: 1620150
- new version: 0.6.0

* Thu May 28 2020 daviddavid <daviddavid> 0.5.0-2.mga8
+ Revision: 1588467
- switch appdata file to kf5_metainfo dir

* Mon Apr 06 2020 daviddavid <daviddavid> 0.5.0-1.mga8
+ Revision: 1565087
- new version: 0.5.0
- remove merged upstream patch

* Fri Feb 21 2020 daviddavid <daviddavid> 0.4.1-6.mga8
+ Revision: 1548339
- rebuild for new qxmpp 1.2.0

* Mon Feb 17 2020 umeabot <umeabot> 0.4.1-5.mga8
+ Revision: 1537112
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Fri Oct 25 2019 daviddavid <daviddavid> 0.4.1-4.mga8
+ Revision: 1455798
- rebuild for new qxmpp 1.1.0

* Sun Oct 20 2019 daviddavid <daviddavid> 0.4.1-3.mga8
+ Revision: 1454686
- add upstream patch to fix build with QXmpp 1.0.1
- rebuild for new qxmpp 1.0.1

* Sat Jul 27 2019 daviddavid <daviddavid> 0.4.1-2.mga8
+ Revision: 1424467
- rebuild for arm

* Fri Jul 26 2019 daviddavid <daviddavid> 0.4.1-1.mga8
+ Revision: 1424365
- initial package kaidan

